Last Comment Bug 804990 - very long data urls break inline history
: very long data urls break inline history
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: InlineHistory (show other bugs)
: Production
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Byron Jones ‹:glob› [PTO until 2016-10-10]
:
Mentors:
Depends on: 772359
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 05:38 PDT by Byron Jones ‹:glob› [PTO until 2016-10-10]
Modified: 2013-09-18 07:39 PDT (History)
4 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Byron Jones ‹:glob› [PTO until 2016-10-10] 2012-10-24 05:38:27 PDT
very long data urls break inline history, currently in two ways.

first, the split url isn't joined when displayed, resulting in multiple inline history lines.

second, very long urls are displayed in full, resulting in ugliness.

see bug 804961 for an example.
Comment 1 Byron Jones ‹:glob› [PTO until 2016-10-10] 2012-10-24 05:45:34 PDT
oops, bug 804946
Comment 2 Byron Jones ‹:glob› [PTO until 2016-10-10] 2012-10-24 07:12:29 PDT
the first half will be fixed by bug 772359
Comment 3 Jared Wein [:jaws] (please needinfo? me) 2012-10-24 10:58:15 PDT
Should we also block URLs over some length, like 2048 characters?
Comment 4 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-09-18 07:39:38 PDT
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
modified extensions/InlineHistory/Extension.pm
modified extensions/InlineHistory/template/en/default/hook/bug/comments-aftercomments.html.tmpl
Committed revision 9020.

Note You need to log in before you can comment on or make changes to this bug.